Bug 702892 - Review Request: python-modjkapi - API for modjk management
Summary: Review Request: python-modjkapi - API for modjk management
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 701426
TreeView+ depends on / blocked
 
Reported: 2011-05-08 05:22 UTC by Tim Bielawa
Modified: 2011-06-02 19:25 UTC (History)
2 users (show)

Fixed In Version: python-modjkapi-0.1.2.28-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-12 20:29:34 UTC
kevin: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Tim Bielawa 2011-05-08 05:22:57 UTC
Spec URL: http://people.redhat.com/~tbielawa/modjkapi/python-modjkapi.spec
SRPM URL: http://people.redhat.com/~tbielawa/modjkapi/releases/modjkapi-latest/python-modjkapi-0.1.2.28-6.fc14.src.rpm

Description: Simple API for managing mod_jk via it's xml web api.

This is related to #701426

Comment 1 Kevin Fenzi 2011-05-11 14:26:17 UTC
I'll go ahead and review this. 

Look for a full review hopefully later today.

Comment 2 Kevin Fenzi 2011-05-11 15:55:02 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv3+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
72a6c9e090ca7ef20366a22235c658f7  modjkapi-0.1.2.28.tar.gz
72a6c9e090ca7ef20366a22235c658f7  modjkapi-0.1.2.28.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. The /usr/bin/bleeder binary seems oddly named. Is there some history there?

2. rpmlint says: 

python-modjkapi.noarch: W: no-manual-page-for-binary bleeder
python-modjkapi.src: W: strange-permission modjkapi-0.1.2.28.tar.gz 0660L

Might set the perms to 644? Or might be something odd on my end. 
The man page warning you can ignore, but of course it's nice to add 
a man page too. ;)

Comment 3 Tim Bielawa 2011-05-11 19:25:06 UTC
(In reply to comment #2)

Spec URL remains the same: http://people.redhat.com/~tbielawa/modjkapi/python-modjkapi.spec

SRPM changed to: http://people.redhat.com/~tbielawa/modjkapi/releases/modjkapi-latest/python-modjkapi-0.1.2.28-7.fc14.src.rpm


> Issues: 
> 
> 1. The /usr/bin/bleeder binary seems oddly named. Is there some history there?

Heh, when used in context the name made more sense. It 'bleeds off connections' from a node in a load balancer pool, before removing the node -- but it also reenables nodes.

I've renamed it to something more descriptive: 'jk-rotate' because 'gracefully putting nodes into and out of rotation' is an easier concept to grok.

> 2. rpmlint says: 
> 
> python-modjkapi.noarch: W: no-manual-page-for-binary bleeder
> python-modjkapi.src: W: strange-permission modjkapi-0.1.2.28.tar.gz 0660L
> 
> Might set the perms to 644? Or might be something odd on my end. 

Indeed, my umask was creating the sdist with those perms. This time before I built the srpm I manually set the perms to the recommended 0644.

> The man page warning you can ignore...

Never

> ...but of course it's nice to add  a man page too. ;)

I agree. Therefore I have added a man page, as per your suggestion.

Comment 4 Kevin Fenzi 2011-05-11 19:43:57 UTC
Excellent. That addresses everything I see, so this package is APPROVED. 

I will go ahead and sponsor you. 
You can continue the process from: 

https://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

Please do let me know if you have any questions, either via email or catch me on irc (nick: nirik). 

Welcome to the fun!

Comment 5 Tim Bielawa 2011-05-12 01:51:38 UTC
New Package SCM Request
=======================
Package Name: python-modjkapi
Short Description:  API for modjk management
Owners: tbielawa
Branches: f14 f15 el5 el6
InitialCC:

Comment 6 Jason Tibbitts 2011-05-12 16:40:52 UTC
Git done (by process-git-requests).

Comment 7 Tim Bielawa 2011-05-12 20:29:34 UTC
Koji builds complete:

 - el5
 - el6
 - f14

Comment 8 Fedora Update System 2011-05-12 20:55:37 UTC
python-modjkapi-0.1.2.28-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-modjkapi-0.1.2.28-7.el5

Comment 9 Fedora Update System 2011-05-12 20:56:15 UTC
python-modjkapi-0.1.2.28-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-modjkapi-0.1.2.28-7.el6

Comment 10 Fedora Update System 2011-05-12 20:56:46 UTC
python-modjkapi-0.1.2.28-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-modjkapi-0.1.2.28-7.fc14

Comment 11 Fedora Update System 2011-05-25 03:00:50 UTC
python-modjkapi-0.1.2.28-7.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-06-02 19:14:11 UTC
python-modjkapi-0.1.2.28-7.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 13 Fedora Update System 2011-06-02 19:25:47 UTC
python-modjkapi-0.1.2.28-7.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.